View Issue Details

IDProjectCategoryView StatusLast Update
0017860MediaMonkey 5Install/Configpublic2021-05-27 15:45
Reporterpeke Assigned To 
PriorityurgentSeverityminorReproducibilityhave not tried
Status feedbackResolutionreopened 
Product Version5.0 
Target Version5.1Fixed in Version5.0.1 
Summary0017860: When installed Sample scripts are distributed extracted instead of in MMIP
DescriptionWhen installed Sample scripts are distributed extracted insteadof in MMIP (SampleSKINS are distributed in MMIP)
TagsNo tags attached.
Fixed in build2406

Relationships

related to 0017131 resolvedpetr Move sample extensions from MM installer and into the Wiki/Addons site 
related to 0017926 closedLudek Sample scripts: Sample scripts should be updated along with New MM version update 
child of 0017859 resolvedLudek Scripts can't be installed unless they are in MMIP 

Activities

petr

2021-05-14 06:25

developer   ~0063196

Last edited: 2021-05-14 06:29

View 2 revisions

And what's the issue ? Author is responsible for 'how to install' info in case he doesn't pack his script to MMIP package.

Ludek

2021-05-14 08:10

developer   ~0063201

Last edited: 2021-05-14 08:16

View 2 revisions

Sample scripts were originally distributed as mmips in the previous builds.

But later we decided to distribute them extracted as learning stuff for scripters (details in 0017131:0060392 - item 3)
There is no need to distribute them as mmips as they can be easily copied from /sampleScripts/ to /scripts/ folder in order to test them.

rusty

2021-05-16 01:59

administrator   ~0063234

Based on feedback from Peke, users are getting confused about the purpose of the samplescripts directory and how to use them. To re-iterate the plan described at 0017131: Samplescripts are included in this directory because developer documentation references them--they're not meant for users to install. Any samplescripts that are intended for users should be available and updated via the addons site.

i.e. If there are any samplescripts that aren't aavailable/updated on the addons site, separate bugs should be opened.

To alleviate the issue that Peke described, we can include a text file along the following lines:

samplescripts_readme.txt
These sample scripts are intended for developers learning to write MediaMonkey 5 addons. Versions of the scripts meant for installation are available via the addons site.

petr

2021-05-17 11:52

developer   ~0063242

Fixed (added readme file)

peke

2021-05-21 19:46

developer   ~0063365

Last edited: 2021-05-22 23:51

View 2 revisions

Verified 2406

Readme is now present in folder after installation 2406, but I would suggest to add additional line in README file where we can add additional line where that if user still wants to test/use sample plugins then he can copy it to Scripts folder and restart MM?

@Rusty If you disagree feel free to close it as readme is now present in installation.

drakinite

2021-05-27 15:45

developer   ~0063544

Suggested wording improvement:

These sample scripts are intended for developers learning to write MediaMonkey 5 addons.

Versions of the scripts meant for installation are available via the addons site:
   https://www.mediamonkey.com/addons/browse/mediamonkey-5/

To install any of these sample scripts, copy its folder into the Scripts folder.
   For example: Copy SampleScripts/pulsingPause to Scripts/pulsingPause